Package org.apache.calcite.avatica.util

# Class MapIteratorCursor

java.lang.Object
org.apache.calcite.avatica.util.AbstractCursor
org.apache.calcite.avatica.util.PositionedCursor<E>
org.apache.calcite.avatica.util.IteratorCursor<Map<String,Object>>
org.apache.calcite.avatica.util.MapIteratorCursor

All Implemented Interfaces:
  `AutoCloseable`, `Cursor`

public class MapIteratorCursor extends IteratorCursor<Map<String,Object>>
Implementation of `Cursor` on top of an `Iterator` that returns a `Map` for each row.

The Map contains (field, value) pairs.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.calcite.avatica.util.PositionedCursor

`PositionedCursor.ArrayGetter, PositionedCursor.FieldGetter, PositionedCursor.ListGetter, PositionedCursor.MapGetter<K>, PositionedCursor.ObjectGetter`

## Nested classes/interfaces inherited from class org.apache.calcite.avatica.util.AbstractCursor

`AbstractCursor.AbstractGetter, AbstractCursor.ArrayAccessor, AbstractCursor.Getter, AbstractCursor.SlotGetter, AbstractCursor.StructGetter`

## Nested classes/interfaces inherited from interface org.apache.calcite.avatica.util.Cursor

`Cursor.Accessor`

## Field Summary

### Fields inherited from class org.apache.calcite.avatica.util.AbstractCursor

`wasNull`

## Constructor Summary

Constructors
Constructor
Description
`MapIteratorCursor(Iterator<Map<String,Object>> iterator, List<String> fieldNames)`
Creates a MapIteratorCursor.

## Method Summary

Modifier and Type
Method
Description
`protected AbstractCursor.Getter`
`createGetter(int ordinal)`

### Methods inherited from class org.apache.calcite.avatica.util.IteratorCursor

`close, current, next`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor

`createAccessor, createAccessor, createAccessors, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MapIteratorCursor

public MapIteratorCursor(Iterator<Map<String,Object>> iterator, List<String> fieldNames)
Creates a MapIteratorCursor.

Parameters:
  `iterator` - Iterator
  `fieldNames` - Field names to project

## Method Details

### createGetter

protected AbstractCursor.Getter createGetter(int ordinal)

Specified by:
  `createGetter` in class `AbstractCursor`